com.taosdata.jdbc.ws.entity

## Class Response

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response

Direct Known Subclasses:
  ConnectResp, FetchBlockResp, FetchJsonResp, FetchResp, QueryResp

    public class Response
    extends Object

return from taosadapter

### Constructor Summary

Constructors
Constructor and Description
`Response()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAction()`
`long` `getReqId()`
`void` `setAction(String action)`
`void` `setReqId(long reqId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Response

    public Response()

### Method Detail

#### getAction

    public String getAction()

#### setAction

    public void setAction(String action)

#### getReqId

    public long getReqId()

#### setReqId

    public void setReqId(long reqId)